Editing _zombiemode.gsc results in errors?

broken avatar :(
Created 39 days ago
by StraightArrow
0 Members and 1 Guest are viewing this topic.
169 views
broken avatar :(
×
broken avatar :(
Location: us
Date Registered: 25 September 2016
Last active: 2 days ago
Posts
23
Respect
Forum Rank
Legless Crawler
Primary Group
Member
×
StraightArrow's Groups
StraightArrow's Contact & Social Links
Does anyone else have an issue when modifying _zombiemode.gsc? I change one simple value and it starts throwing "unable to find script" errors. Even including it in my compiler files without any changes does that.  
broken avatar :(
×
broken avatar :(
Location: us
Date Registered: 25 September 2016
Last active: 2 days ago
Posts
23
Respect
Forum Rank
Legless Crawler
Primary Group
Member
×
StraightArrow's Groups
StraightArrow's Contact & Social Links
Ok, so all other maps besides Sumpf work. I'm starting to think it's some other problem. Most of the weapons in the maps have become default weapons. Is that the problem?
broken avatar :(
×
broken avatar :(
Location: aupotato
Date Registered: 27 September 2013
Last active: 3 days ago
Posts
582
Respect
Forum Rank
Zombie Enslaver
Primary Group
Community Scripter
My Groups
More
My Contact & Social Links
More
Signature
respect the dead

donates greatly appreciated :) [You are not allowed to view external links. Register or Login to see them]
discord server:
[You are not allowed to view external links. Register or Login to see them]
×
death_reaper0's Groups
Community Mapper Has released one or more maps to the UGX-Mods community which have been added to the UGX Map Manager.
Community Scripter Has shown effort and knowledge in the area of scripting while being a part of the UGX-Mods community.
make sure the files its saying are missing are included in the mod or your mods csv
broken avatar :(
×
broken avatar :(
Location: us
Date Registered: 25 September 2016
Last active: 2 days ago
Posts
23
Respect
Forum Rank
Legless Crawler
Primary Group
Member
×
StraightArrow's Groups
StraightArrow's Contact & Social Links
Thank you so much for the reply reaper. I was under the impression that if I did not change the base game files, I would not need to include them in the mod. Is that wrong? Or does it get tempramental and want you to include it sometimes and other times not?

edit 1: Also, as said before, on Der Reise almost every weapon is a default weapon. When I look at the expanded console it says it could not load weapon file for basically every weapon, as well as a long list of xanims it couldnt load. But on Nacht or Verruckt if I give all the weapons, most of them appear normally.

I am truly stupefied as to what is wrong. I just tried to reinstall WAW today as well as reinstalling mod tools.

Thanks again. This has been holding me back way too long!

edit2: Ok, thank you so much for telling me to include files. I did that with the weapons missing on der reise and now those at least are working again. I just dont understand why it wouldn't use the base game files since i did nothing to change the weapons at all! :facepalm: So since shi no numa still isnt working, I'm going to try to include some of the files the console said it couldn't find.

Thanks again! Although my faith in these tempramental tools decreases by the day...>:(

Double Post Merge: January 30, 2019, 06:42:50 am
Ok and now after including almost every zombiemode gsc, I am still unable to load into sumpf. (every other map works fine though)

I get the following error
unknown function: (file 'maps/_zombiemode_cymbal_monkey.gsc' , line 93)
grenade thread create_zombie_point_of_interest_attractor_positions( 4, attract_dist_diff );
Last Edit: January 30, 2019, 06:42:50 am by StraightArrow
broken avatar :(
×
broken avatar :(
Location: us
Date Registered: 25 September 2016
Last active: 2 days ago
Posts
23
Respect
Forum Rank
Legless Crawler
Primary Group
Member
×
StraightArrow's Groups
StraightArrow's Contact & Social Links
All hail the god jiggy22! https://www.ugx-mods.com/forum/modding/13/weapon-mod/15242/msg150667#msg150667
use the updated map files from the ff files in zone/english. Use Toms ff extractor tool and get the map files for whatever map you're modding (you might still need to include sp weapon files manually in your mod).
Could someone pretty please modify the mod tools package download so this isnt a problem for people in the future? I don't think I'm the only one to run into this problem, and most junior scripters would probably give up pretty quickly. Please, in the ugx part of the modtools download include the updated base map files so people dont run into errors due to outdated scripts! (or explain to people that if they dont download the ugx modtools update, theyre gonna have a bad time modding base maps)
Maybe you guys have already done this, but when I tested the ugx modtool patch just now I still couldnt load in.

edit1: So all the other maps besides sumpf stopped working when I included updated sumpf scripts, im gonna try adding back in all the other updated scripts and see what happens but I guess people should just update their mod with the ff files on a case by case (map by map) basis? 
Last Edit: February 01, 2019, 08:22:26 am by StraightArrow

 

Login

or login with an authentication provider below
Twitter
Discord
Steam
Twitch
Google
Loading ...